Method: projects.locations.reports.read

Reads data within a specified report.

HTTP request

POST https://appoptimize.googleapis.com/v1beta/{name=projects/*/locations/*/reports/*}:read

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
name

string

Required. The resource name of the report to query.

Format: projects/{project}/locations/{location}/reports/{reportId}.

Request body

The request body contains data with the following structure:

JSON representation
{
  "pageSize": integer,
  "pageToken": string
}
Fields
pageSize

integer

Optional. The maximum number of rows to return. The service may return fewer than this value. If unspecified, at most 10,000 rows will be returned per page. The maximum allowed value is 25,000; values above 25,000 are coerced to 25,000.

pageToken

string

Optional. A page token, received from a previous reports.read call, to retrieve the subsequent page of results. When pageToken is specified, job_reference must also be provided from the previous response, and the statement field must not be set.

Response body

Response message for the reports.read method.

If successful, the response body contains data with the following structure:

JSON representation
{
  "rows": [
    array
  ],
  "columns": [
    {
      object (Column)
    }
  ],
  "nextPageToken": string
}
Fields
rows[]

array (ListValue format)

A list of rows, where each row represents a record from the report.

columns[]

object (Column)

The columns describing the structure of the data in the rows field.

nextPageToken

string

A token that can be sent as pageToken in a subsequent reports.read request to retrieve the next page of results. If this field is empty, there are no further pages.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the name resource:

  • appoptimize.reports.getData

For more information, see the IAM documentation.

Column

Describes a single column within Columns.

JSON representation
{
  "name": string,
  "type": string,
  "mode": string,
  "columns": [
    {
      object (Column)
    }
  ]
}
Fields
name

string

The name of the column.

This field:

  • Contains only letters (a-z, A-Z), numbers (0-9), or underscores (_);
  • Start with a letter or underscore; and
  • Has a maximum length is 128 characters.
type

string

The data type of the column.

Supported values include:

  • STRING
  • INT64
  • FLOAT64
  • BOOLEAN
  • TIMESTAMP
  • RECORD

RECORD indicates that the field contains a nested schema, described in the columns property of this Column.

mode

string

The mode of the column, indicating if it is nullable, required, or repeated.

Possible values:

  • NULLABLE: The column allows NULL values.
  • REQUIRED: The column does not allow NULL values.
  • REPEATED: The column contains an array of values.
columns[]

object (Column)

If the type of this column is RECORD, this sub-field describes the nested structure.